# typedef MediaTrackConstraintSet

#### package js.html

Available on HTML5

### Properties

###

`browserWindow:Null<Int>`

###

`deviceId:Null<EitherType<String, EitherType<Array<String>, Dynamic>>>`

###

`echoCancellation:Null<EitherType<Bool, Dynamic>>`

###

`facingMode:Null<EitherType<String, EitherType<Array<String>, Dynamic>>>`

###

`frameRate:Null<EitherType<Float, Dynamic>>`

###

`height:Null<EitherType<Int, Dynamic>>`

###

`mediaSource:Null<String>`

###

`scrollWithPage:Null<Bool>`

###

`viewportHeight:Null<EitherType<Int, Dynamic>>`

###

`viewportOffsetX:Null<EitherType<Int, Dynamic>>`

###

`viewportOffsetY:Null<EitherType<Int, Dynamic>>`

###

`viewportWidth:Null<EitherType<Int, Dynamic>>`

###

`width:Null<EitherType<Int, Dynamic>>`